* [gentoo-musl] [PATCH] sci-libs/libqalculate: add with patch to include time.h
@ 2017-01-21 13:46 Nicholas Fish
0 siblings, 0 replies; only message in thread
From: Nicholas Fish @ 2017-01-21 13:46 UTC (permalink / raw
To: gentoo-musl
---
sci-libs/libqalculate/Manifest | 4 ++
.../files/libqalculate-0.9.10-timeh.patch | 52 +++++++++++++++++
sci-libs/libqalculate/libqalculate-0.9.10.ebuild | 67
++++++++++++++++++++++
sci-libs/libqalculate/metadata.xml | 11 ++++
4 files changed, 134 insertions(+)
create mode 100644 sci-libs/libqalculate/Manifest
create mode 100644
sci-libs/libqalculate/files/libqalculate-0.9.10-timeh.patch
create mode 100644 sci-libs/libqalculate/libqalculate-0.9.10.ebuild
create mode 100644 sci-libs/libqalculate/metadata.xml
diff --git a/sci-libs/libqalculate/Manifest b/sci-libs/libqalculate/Manifest
new file mode 100644
index 0000000..0f42260
--- /dev/null
+++ b/sci-libs/libqalculate/Manifest
@@ -0,0 +1,4 @@
+AUX libqalculate-0.9.10-timeh.patch 1712 SHA256
73c3be9e7adc0df5a1ee0e7b1853fac7bab69681d60ac229e673e23d11233413 SHA512
a84e8ecaae4b032e9aa7d9533c22f8e315766d3f4807581d7df0d4e271e3c0d7d7f6097fd919cf3b2f08ce84d59683603b514a04924a2cced102096b65dfd746
WHIRLPOOL
1963fe0a7040269dafce723bfa66b0ad964aacf31567f0164248c16b683a37ffde299873339a0f407edfaafbcd264d5d6568ecc3762e231cd27f7327c9062eb5
+DIST libqalculate-0.9.10.tar.gz 1509229 SHA256
7d81e1b15bc1e674e3d4db71c4fc08dafcef830e6acd39f65034e3c0f694b3b9 SHA512
e7f39c5cc4cfdc0cdf9c4e7b79f95332170459fd93769043c43798377562ca939df49904fe4291371a4431a922c320a5f0dcce5f2bedbcdf0496723e125cd5c0
WHIRLPOOL
4974f7208654557074108801502fbec5178ba4eab936fd8a7fc88e8963dd83368ec8842c08f2f01146b66fa2cbb93e88572d857cd763594ea36663117250ba53
+EBUILD libqalculate-0.9.10.ebuild 1454 SHA256
2d38615b79dc843e198516c520eba7ee69d853a89f1540c45e4bed5b37f5e331 SHA512
04c5753d565413eabb0095ecb1dfc07bd803707326d780242e2bca4051b723b74e1a74204b41dd112a7f370caa3be2286ab0cc2ba7280fa27156780a2c286b65
WHIRLPOOL
c6549184e467a7b46f174fc00d900b4debf18f722ca3c51d9645a49afa242729a2c2bd6017f790d8b6d73073b44494d9f4d5d9f544b117fce991a0023a442471
+MISC metadata.xml 340 SHA256
beef99606b34e7d8d9e86bfe56b5f6f890cbdfbbea277c1c0a7e3e0eb0991ee6 SHA512
d002b696b1ce49bce80e4af12910f087acdb99edfe781b5fdaa219ca1e6c2fb271c737ff6ce7d4491d0b815075f97f7770937e5912fd199855b4ab4efc5327f8
WHIRLPOOL
33110873830579b7a32fbea44c82897fd595cf1413e294073d2b89bc9670c530d204d4e608a870d27c18e9e464e65528560dc3df58fc27da3258f98fdbe67a71
diff --git a/sci-libs/libqalculate/files/libqalculate-0.9.10-timeh.patch
b/sci-libs/libqalculate/files/libqalculate-0.9.10-timeh.patch
new file mode 100644
index 0000000..3707efe
--- /dev/null
+++ b/sci-libs/libqalculate/files/libqalculate-0.9.10-timeh.patch
@@ -0,0 +1,52 @@
+From ed69f7c667f4fe660584cf466728a46148aee9a2 Mon Sep 17 00:00:00 2001
+From: Nicholas Fish <github@seaofdirac.net>
+Date: Sat, 21 Jan 2017 12:48:14 +0100
+Subject: [PATCH] add missing sys/time.h header
+
+struct timeval is defined in sys/time.h with a musl toolchain.
+
+Fixes:
+In file included from Function.cc:16:0:
+Calculator.h:241:17: error: field 't_print_end' has incomplete type
'timeval'
+ struct timeval t_print_end;
+ ^~~~~~~~~~~
+Calculator.h:241:9: note: forward declaration of 'struct timeval'
+ struct timeval t_print_end;
+ ^~~~~~~
+In file included from Calculator.cc:14:0:
+Calculator.h:241:17: error: field 't_print_end' has incomplete type
'timeval'
+ struct timeval t_print_end;
+ ^~~~~~~~~~~
+Calculator.h:241:9: note: forward declaration of 'struct timeval'
+ struct timeval t_print_end;
+ ^~~~~~~
+In file included from DataSet.cc:17:0:
+Calculator.h:241:17: error: field 't_print_end' has incomplete type
'timeval'
+ struct timeval t_print_end;
+ ^~~~~~~~~~~
+Calculator.h:241:9: note: forward declaration of 'struct timeval'
+ struct timeval t_print_end;
+ ^~~~~~~
+In file included from Variable.cc:16:0:
+Calculator.h:241:17: error: field 't_print_end' has incomplete type
'timeval'
+ struct timeval t_print_end;
+ ^~~~~~~~~~~
+---
+ libqalculate/Calculator.h | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/libqalculate/Calculator.h b/libqalculate/Calculator.h
+index b4cfc57..2346e73 100644
+--- a/libqalculate/Calculator.h
++++ b/libqalculate/Calculator.h
+@@ -14,6 +14,7 @@
+
+ #include <libqalculate/includes.h>
+ #include <libqalculate/util.h>
++#include <sys/time.h>
+ #include <pthread.h>
+
+ /** @file */
+--
+2.11.0
+
diff --git a/sci-libs/libqalculate/libqalculate-0.9.10.ebuild
b/sci-libs/libqalculate/libqalculate-0.9.10.ebuild
new file mode 100644
index 0000000..d902451
--- /dev/null
+++ b/sci-libs/libqalculate/libqalculate-0.9.10.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="A modern multi-purpose calculator library"
+HOMEPAGE="https://qalculate.github.io/"
+SRC_URI="https://github.com/Qalculate/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0/6"
+KEYWORDS="alpha amd64 ~arm ~hppa ia64 ppc ppc64 sparc x86 ~amd64-linux
~x86-linux"
+IUSE="gnuplot readline static-libs"
+
+COMMON_DEPEND="
+ dev-libs/glib:2
+ dev-libs/libxml2:2
+ >=sci-libs/cln-1.2
+ sys-libs/zlib
+ readline? ( sys-libs/readline:0= )"
+DEPEND="${COMMON_DEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+RDEPEND="${COMMON_DEPEND}
+ net-misc/wget
+ gnuplot? ( >=sci-visualization/gnuplot-3.7 )"
+
+PATCHES=(
+ # https://github.com/Qalculate/libqalculate/pull/17
+ "${FILESDIR}"/${P}-timeh.patch
+)
+
+src_prepare() {
+ default
+
+ cat >po/POTFILES.skip <<-EOF
+ # Required by make check
+ data/currencies.xml.in
+ data/datasets.xml.in
+ data/elements.xml.in
+ data/functions.xml.in
+ data/planets.xml.in
+ data/units.xml.in
+ data/variables.xml.in
+ src/defs2doc.cc
+ EOF
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_with readline)
+}
+
+src_install() {
+ # docs/reference/Makefile.am -> referencedir=
+ emake \
+ DESTDIR="${D}" \
+ referencedir="${EPREFIX}/usr/share/doc/${PF}/html" \
+ install
+
+ dodoc AUTHORS ChangeLog NEWS README* TODO
+
+ find "${ED}" -name '*.la' -delete || die
+}
diff --git a/sci-libs/libqalculate/metadata.xml
b/sci-libs/libqalculate/metadata.xml
new file mode 100644
index 0000000..8ba3fbc
--- /dev/null
+++ b/sci-libs/libqalculate/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">.tar.gz</remote-id>
+ </upstream>
+</pkgmetadata>
--
2.11.0
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2017-01-21 13:46 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-01-21 13:46 [gentoo-musl] [PATCH] sci-libs/libqalculate: add with patch to include time.h Nicholas Fish
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox